FETESTEXCEPT(3)

NAME
fetestexcept - test floating-point exception flags

SYNOPSIS

#include <fenv.h>

int fetestexcept(int except);

DESCRIPTION

This method test the current floating-point exceptions to determine which of those specified in except are currently set.

RETURNS

This method returns the bitwise-inclusive OR of the floating point exception macros which correspond to the currently set floating point exceptions.

PORTABILITY

ANSI C requires fetestexcept.

Not all Newlib targets have a working implementation. Refer to the file sys/fenv.h to see the status for your target.